curl --request GET \
--url https://thirdparty.qonto.com/v2/bank_accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/bank_accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/bank_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bank_accounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Primary bank account",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"main": true,
"iban": "FR7616958000010123456789037",
"bic": "BNPAFRPPXXX",
"currency": "EUR",
"balance": "142188.43",
"balance_cents": 14218843,
"authorized_balance": "141148.12",
"authorized_balance_cents": 14114812,
"updated_at": "2024-04-03T12:00:00Z",
"is_external_account": false,
"account_number": 1234567890
}
]
}{
"errors": [
{
"code": "forbidden",
"detail": "User does not have sufficient permissions for this action."
}
]
}List business accounts
OAuth scope: organization.read
Retrieves a list of all business accounts.
You can use this endpoint when you need to display account details of all business accounts.
Restricted Fields
Full details of a business account are restricted to users with specific permissions (more on permissions). Owners and admins can access all fields. Other users, such as managers, will only see a limited set of fields unless granted the appropriate permissions.
Fields Available to All Users:
idnamestatusmainorganization_id
Fields Available to Users with Balance Authorization Read:
currencybalancebalance_centsauthorized_balanceauthorized_balance_cents
Depending on the user’s permissions, the corresponding fields will be included in the response.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Page number for pagination. Must be greater than 0.
x >= 1Number of business accounts per page. Must be between 1 and 100.
1 <= x <= 100Response
List of business accounts retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?